<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<% /* 
    * Licensed Materials - Property of IBM
    *
    * WebSphere Development Studio Client for i5/OS - WebFacing
    *
    * © Copyright IBM Corp. 2004, 2006 All Rights Reserved
    *
    * US Government Users Restricted Rights - Use, duplication or
    * disclosure restricted by GSA ADP Schedule Contract with
    * IBM Corp.
    */ %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<HTML>
<HEAD>
<html:base />

<%@ page import="java.util.*"%>
<%@ page import="com.ibm.as400.access.*"%>
<%@ page import="com.ibm.etools.eservices.iseries.*"%>
<%@page import="com.ibm.etools.eservices.iseries.web.*" %>
<META http-equiv="Content-Type"
	content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">
<link rel="stylesheet" type="text/css" href="eservices.css">
<TITLE>List of Spooled Files</TITLE>
</HEAD>
<BODY>
<jsp:useBean id="param"
	class="com.ibm.etools.eservices.iseries.web.ImageBrowsingBean"
	scope="page">
</jsp:useBean>
<jsp:useBean id="paramNext"
	class="com.ibm.etools.eservices.iseries.web.ReportListingBean"
	scope="page">
</jsp:useBean>
<jsp:useBean id="paramPrev"
	class="com.ibm.etools.eservices.iseries.web.ReportListingBean"
	scope="page">
</jsp:useBean>
<%
ServicesContainer servicesContainer = null;
Enumeration enum = null;
servicesContainer =
			(ServicesContainer) session.getAttribute("servicesContainer");
enum = servicesContainer.getPrintedReportIds();
String id = null, name = null, user = null, queue = null, userData=null, sts=null,formType = null,pty=null,jobName, jobUser=null,jobNumber=null;
int numPages, copies, curPage,numReports, totalListed, fileNbr;
paramPrev.setAction("prev");
paramNext.setAction("next");
numReports = servicesContainer.getNumberOfReports();
totalListed = servicesContainer.getTotalListed();
%>
<table align="center">
    <tbody>
        <tr>
            <td class="headc" align="center">
            <H1><center>List of Spooled Files<center></H1> 
            </td>
        </tr>    
 </table>
       




<table  border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr valign="top">

		<td  class="tabs-on" width="1%" nowrap height="19">Views 1,2,3</td>
		
		<td  width="99%" nowrap height="19" align="right"><A href="javascript:close()">Close</A></td>
		<TD width="99%" nowrap height="19"></TD>
	</tr>
</table>

<table class ="framing-table" border="0" cellpadding="10" cellspacing="0" valign="top"
	width="100%" summary="Framing Table">
	<tr> 	
		<td align="left" colspan="1" nowrap="nowrap"> 
		<%if(totalListed-iSeriesServices.Num_Reports_To_List > 0){%>
				<html:link  page="/RetrieveListOfReports.do" paramId="action" paramName="paramPrev"
						paramProperty="action" target="_self"><html:img src="prev.gif" alt="previous page" /></html:link>
		<%}else{%>
				<html:img src="prev.gif" alt="previous page" />
		<%}
		if(totalListed<numReports){
		%>				
				<html:link  page="/RetrieveListOfReports.do" paramId="action" paramName="paramNext"
						paramProperty="action" target="_self"><html:img src="next.gif" alt="next page" /></html:link>
		<%}else{
		%>
		<html:img src="next.gif" alt="next page" />
		<%}%>
		</td>
		<TD align="left" nowrap="nowrap"></TD>
	</tr>
	<tr>
		<td height="272" width="66">
		<TABLE border="0" cellpadding="3" cellspacing="1" width="100%"
			summary="Properties Table">
			<TBODY>
				<TR valign="top">
					<TH class="column-head" scope="rowgroup">File</TH>
					<TH class="column-head" scope="rowgroup">User</TH>
					<TH class="column-head" scope="rowgroup">Device or Queue</TH>
					<TH class="column-head" scope="rowgroup">User Data</TH>
					<TH class="column-head" scope="rowgroup">Sts</TH>
					<TH class="column-head" scope="rowgroup">Total Pages</TH>
					<TH class="column-head" scope="rowgroup">Cur Page</TH>
					<TH class="column-head" scope="rowgroup">Copy</TH>
					<TH class="column-head" scope="rowgroup">Form Type</TH>
					<TH class="column-head" scope="rowgroup">Pty</TH>
					<TH class="column-head" scope="rowgroup">File Nbr</TH>
					<TH class="column-head" scope="rowgroup">Job</TH>
					<TH class="column-head" scope="rowgroup">Number</TH>
				</TR>
				<%		
					if(!enum.hasMoreElements()){
				%>
					<TR valign="middle">
						<TD class="table-text" scope="row" valign="middle" nowrap>
							(No spooled output files)
						</TD>
					</TR>
				<%
					}						
					while (enum.hasMoreElements()){
					id = (String)enum.nextElement();
					name = servicesContainer.getName(id);
					user = servicesContainer.getJobUser(id);
					queue = servicesContainer.getQueue(id);
					userData = servicesContainer.getUserData(id);
					sts = servicesContainer.getSts(id);
					numPages = servicesContainer.getNumPages(id);
					curPage = servicesContainer.getCurrentWrittenPage(id);
					copies = servicesContainer.getCopies(id);
					formType=servicesContainer.getFormType(id);
					pty = servicesContainer.getPty(id);
					fileNbr= servicesContainer.getFileNbr(id);
					jobName= servicesContainer.getJobName(id);
					jobNumber= servicesContainer.getJobNumber(id);
					param.setId(id);
				%>
				<TR valign="top">
					
					<TD class="table-text" scope="row" valign="top" nowrap>
						<html:link 
						page="/Browse.do" paramId="id" paramName="param"
						paramProperty="id" target="_self">
						<%=name%>
						</html:link></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=user%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=queue%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=userData%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=sts%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=numPages%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=curPage%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=copies%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=formType%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=pty%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=fileNbr%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=jobName%></TD>
					<TD class="table-text" scope="row" valign="top" nowrap><%=jobNumber%></TD>
				</TR>
				<%
				}
			%>
			</TBODY>
		</TABLE>
		
		</td>
		<TD height="272" width="66"></TD>
	</tr>
	
</table>

</BODY>
</HTML>
